Bug 1311757 - [abrt] gedit: gca_scrollbar_marker_update_spacing(): gedit killed by SIGSEGV
[abrt] gedit: gca_scrollbar_marker_update_spacing(): gedit killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f2a5bd577d4e83774b4a54cebb4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 17:17 EST by Niki Guldbrand
Modified: 2016-12-20 14:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:00:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.84 KB, text/plain)
2016-02-24 17:17 EST, Niki Guldbrand
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-24 17:17 EST, Niki Guldbrand
no flags Details
File: core_backtrace (11.73 KB, text/plain)
2016-02-24 17:17 EST, Niki Guldbrand
no flags Details
File: dso_list (21.73 KB, text/plain)
2016-02-24 17:17 EST, Niki Guldbrand
no flags Details
File: environ (1018 bytes, text/plain)
2016-02-24 17:17 EST, Niki Guldbrand
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-24 17:17 EST, Niki Guldbrand
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-24 17:17 EST, Niki Guldbrand
no flags Details
File: maps (129.81 KB, text/plain)
2016-02-24 17:18 EST, Niki Guldbrand
no flags Details
File: mountinfo (4.33 KB, text/plain)
2016-02-24 17:18 EST, Niki Guldbrand
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-24 17:18 EST, Niki Guldbrand
no flags Details
File: open_fds (2.30 KB, text/plain)
2016-02-24 17:18 EST, Niki Guldbrand
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-24 17:18 EST, Niki Guldbrand
no flags Details
File: var_log_messages (301 bytes, text/plain)
2016-02-24 17:18 EST, Niki Guldbrand
no flags Details

  None (edit)
Description Niki Guldbrand 2016-02-24 17:17:33 EST
Description of problem:
I was editing a Spec file and Gedit suddenly crashed after pasting some text

Version-Release number of selected component:
gedit-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: gca_scrollbar_marker_update_spacing
executable:     /usr/bin/gedit
global_pid:     26488
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gca_scrollbar_marker_update_spacing at src/gca-scrollbar-marker.c:237
 #8 gtk_style_context_do_invalidate at gtkstylecontext.c:2415
 #9 gtk_css_widget_node_validate at gtkcsswidgetnode.c:132
 #10 gtk_css_node_validate_internal at gtkcssnode.c:1284
 #25 gtk_container_idle_sizer at gtkcontainer.c:2014
 #26 _g_closure_invoke_va at gclosure.c:864
 #28 g_signal_emit_by_name at gsignal.c:3479
 #29 gdk_frame_clock_paint_idle at gdkframeclockidle.c:408
 #35 g_main_context_iteration at gmain.c:3901
 #36 g_application_run at gapplication.c:2311
Comment 1 Niki Guldbrand 2016-02-24 17:17:39 EST
Created attachment 1130335 [details]
File: backtrace
Comment 2 Niki Guldbrand 2016-02-24 17:17:40 EST
Created attachment 1130336 [details]
File: cgroup
Comment 3 Niki Guldbrand 2016-02-24 17:17:42 EST
Created attachment 1130337 [details]
File: core_backtrace
Comment 4 Niki Guldbrand 2016-02-24 17:17:44 EST
Created attachment 1130338 [details]
File: dso_list
Comment 5 Niki Guldbrand 2016-02-24 17:17:45 EST
Created attachment 1130339 [details]
File: environ
Comment 6 Niki Guldbrand 2016-02-24 17:17:47 EST
Created attachment 1130340 [details]
File: exploitable
Comment 7 Niki Guldbrand 2016-02-24 17:17:48 EST
Created attachment 1130341 [details]
File: limits
Comment 8 Niki Guldbrand 2016-02-24 17:18:08 EST
Created attachment 1130342 [details]
File: maps
Comment 9 Niki Guldbrand 2016-02-24 17:18:09 EST
Created attachment 1130343 [details]
File: mountinfo
Comment 10 Niki Guldbrand 2016-02-24 17:18:11 EST
Created attachment 1130344 [details]
File: namespaces
Comment 11 Niki Guldbrand 2016-02-24 17:18:12 EST
Created attachment 1130345 [details]
File: open_fds
Comment 12 Niki Guldbrand 2016-02-24 17:18:13 EST
Created attachment 1130346 [details]
File: proc_pid_status
Comment 13 Niki Guldbrand 2016-02-24 17:18:15 EST
Created attachment 1130347 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:45:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 14:00:55 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.